function d = Chi_Square(f1,f2)
%-------------------------------------------------------------------------
% function d = Chi_Square(f1,f2)
% 
% Calculation of the dissimilarity of two feature vectors
%
% input:    f1          feature vector of image 1
%           f2          feature vector of image 2
%
% output:   d           dissimilarity between f1 and f2
%-------------------------------------------------------------------------
% Date: 7.12.04
% Name: Barbara Frank

%dissimilarity measure is the X statistics
%bin-by-bin-dissimilarity

[n1,m1] = size(f1);
[n2,m2] = size(f2);
if (n1==n2 && m1 == m2 )
  m=abs((f1+f2)./2);
   sum=0;
   for i=1:max(n1,m1)
     if(abs(m(i))>0)
       sum=sum+(((f1(i)-m(i))*(f1(i)-m(i)))/m(i));
     end
   end
   d=abs(sum);
else
 d=-1;
end
