function d = Histogram_intersection(f1,f2)
%-------------------------------------------------------------------------
% function d = Histogram_intersection(f1,f2)
% 
% Calculation of the dissimilarity of two feature vectors
%
% input:    f1          feature vector of image 1
%           f2          feature vector of image 2
%
% output:   d           dissimilarity between f1 and f2
%-------------------------------------------------------------------------
% Date: 7.12.04
% Name: Barbara Frank

%dissimilarity measure is the histogram intersection
%bin-by-bin-dissimilarity

[n1,m1] = size(f1);
[n2,m2] = size(f2);
if (n1==n2 && m1 == m2 )
   sum1=0;
   sum2=0;
   for i=1:max(n1,m1)
     sum1=sum1+min(f1(i),f2(i));
     sum2=sum2+f2(i);
   end
   d=1-(sum1/sum2);
 
else
   d=-1;
end
