function d = Match_distance(f1,f2)
%-------------------------------------------------------------------------
% function d = Match_distance(f1,f2)
% 
% Calculation of the dissimilarity of two feature vectors
% 
%
% input:    f1          feature vector of image 1
%           f2          feature vector of image 2
%
% output:   d           (dis)similarity between f1 and f2
%-------------------------------------------------------------------------
% Date: 7.12.04
% Name: Barbara Frank

%dissimilarity measure is the Match-distance
%the cumulative histograms of f1 and f2 are compared
%important precondition: f1 and f2 must be marginal histograms
%bin-by-bin-dissimilarity

[n1,m1] = size(f1);
[n2,m2] = size(f2);
if (n1==n2 && m1 == m2 )
     sum1 = 0;
     sum2 = 0;
     sum3 = 0;
     sumf11=0;
     sumf21=0;
     sumf12=0;
     sumf22=0;
     sumf13=0;
     sumf23=0;
     for i=1:max(n1,m1)/3
       sumf11=sumf11+f1(i);
       sumf21=sumf21+f2(i);
       sum1=sum1+abs(sumf11-sumf21);
     end
     for i=max(n1,m1)/3+1:max(n1,m1)/3*2
       sumf12=sumf12+f1(i);
       sumf22=sumf22+f2(i);
       sum2=sum2+abs(sumf12-sumf22);
     end
     for i=max(n1,m1)/3*2+1:max(n1,m1)
       sumf13=sumf13+f1(i);
       sumf23=sumf23+f2(i);
       sum3=sum3+abs(sumf13-sumf23);
     end
     d=sum1+sum2+sum3;
else
     d=-1;
end
