function d = Quadratic_form_distance(f1,f2,A)
%-------------------------------------------------------------------------
% function d = Quadratic_form_distance(f1,f2)
%
% Calculation of the similarity of two feature vectors
%
% input:    f1          feature vector of image 1
%           f2          feature vector of image 2
%
% output:   d           (dis)similarity between f1 and f2
%-------------------------------------------------------------------------
% Date: 7.12.04
% Name: Barbara Frank

%dissimilarity measure is the quadratic form distance
%this dissimilarity measure works with 8x8x8 histograms only
%because the dissimilarity matrix was calculated for this purpose only

[n1,m1] = size(f1);
[n2,m2] = size(f2);

%load('hist_similar_matrix.mat');

if( (n1==n2)&(n1==512) )
 d=sqrt( (f1-f2)' * A * (f1-f2) );
else
 d=-1;
end
