function fvec = create_RGB3D_histogram(image)
%-------------------------------------------------------------------------
% function fvec = create_RGB_histogram(image)
% 
% Calculation of the feature vector
%
% input:    image              (n x m x 3) matrix containing information 
%                               about a rgb picture      
%
% output:   fvec                feature vector
%-------------------------------------------------------------------------
% Date: 25.12.2004
% Name: Barbara Frank

%this function calculates a 3D histogram
%feature vector  is an 8x8x8 vector

fmat=zeros(8,8,8);
fvec = zeros(8*8*8,1);

[n m d]=size(image);


for i=1:n
   for j=1:m
     pixel=double([image(i,j,1);image(i,j,2);image(i,j,3)]);

     k_u=uint8((pixel(1)-16)/32);
     k_o=uint8((pixel(1)-16)/32+1);
     if(pixel(1)<((double(k_u)*32+16)+(double(k_o)*32+16))/2)
       bin1=double(k_u)+1;
     else bin1=double(k_o)+1;
     end
     k_u=uint8((pixel(2)-16)/32);
     k_o=uint8((pixel(2)-16)/32+1);
     if(pixel(2)<((double(k_u)*32+16)+(double(k_o)*32+16))/2);
      bin2=double(k_u)+1;
     else bin2=double(k_o)+1;
     end
     k_u=uint8((pixel(3)-16)/32);
     k_o=uint8((pixel(3)-16)/32+1);
     if(pixel(3)<((double(k_u)*32+16)+(double(k_o)*32+16))/2)
       bin3=double(k_u)+1;
     else bin3=double(k_o)+1;
     end
     idx=bin1+(bin2-1)*8+(bin3-1)*8*8;
     fvec(idx)=fvec(idx)+1;
   end
end


