function fvec = create_RGB_histogram(image)
%-------------------------------------------------------------------------
% function fvec = create_RGB_histogram(image)
% 
% Calculation of the feature vector
%
% input:    image              (n x m x 3) matrix containing information 
%                               about a rgb picture      
%
% output:   fvec                feature vector
%-------------------------------------------------------------------------
% Date: 25.12.2004
% Name: Barbara Frank

%this function calculates marginal histograms for the R,G and B channel
%the feature vector contains 8R,8G,8B bins
fvec = zeros(24,1);

[n m d]=size(image);

h1=imhist(image(:,:,1),8);
h2=imhist(image(:,:,2),8);
h3=imhist(image(:,:,3),8);
fvec=[h1;h2;h3];

