function A = create_similarity_matrix(n)
%-------------------------------------------------------------------------
% function A = create_similarity_matrix()
% 
%
% input:    n                   number of bins in each dimension
%
% output:   A                   similarity matrix
%-------------------------------------------------------------------------
% Date: 29.12.2004
% Name: Barbara Frank

%this function calculates a similarity matrix which denotes the similarity 
%between bin i and j in a 3D histogram
%nRxnGxnB bins

D=zeros(n*n*n,n*n*n);
size(D);
tic
d_max=0;
for i=1:n
 for j=1:n
  for k=1:n
   for x=1:n
    for y=1:n
     for z=1:n

        c1=[(i-1)*32+16,(j-1)*32+16,(k-1)*32+16];
        c2=[(x-1)*32+16,(y-1)*32+16,(z-1)*32+16];
        d=L_p_norm(c1,c2);
        if(d>d_max)
          d_max=d;
        end
        idx_i=i+(j-1)*n+(k-1)*n*n;
        idx_j=x+(y-1)*n+(z-1)*n*n;

        D(idx_i,idx_j)=d;
     end
    end
   end
  end
 end
end


D=D./d_max;


A=1.-D;

toc
