function val = evaluate_similarities(s)
%-----------------------------------------------------------------------
% function val = evaluate_similarities(search_image)
%
% Search for similar pictures in the database, plot similarities for 
% different distance measures, different features, different feature 
% combinations 
%
% input:    search_image    the picture for which we want to find similar ones
%
%
% output:   val             figures with some similar images compared to the
%                           search image
%
%-----------------------------------------------------------------------
%  Date: 10.12.2004 
%  Author: Barbara Frank

%erstmal fuer alle bilder evaluieren, welches distanzmass am besten ist
plot_sim_pics_mtc(s,'moments - L2 norm',1,0,0);
plot_sim_pics_mtc(s,'gabor - L2 norm',0,1,0);
plot_sim_pics_mtc(s,'cooc - L2 norm',0,0,1);

plot_sim_pics_mtc(s,'moments - Chi Square',1,0,0,'Chi_Square','Chi_Square','Chi_Square');
plot_sim_pics_mtc(s,'moments - Chi Square',0,1,0,'Chi_Square','Chi_Square','Chi_Square');
plot_sim_pics_mtc(s,'moments - Chi Square',0,0,1,'Chi_Square','Chi_Square','Chi_Square');

plot_sim_pics_mtc(s,'moments - Jeffrey divergence',1,0,0,'Jeffrey_divergence','Jeffrey_divergence','Jeffrey_divergence');
plot_sim_pics_mtc(s,'moments - Jeffrey divergence',0,1,0,'Jeffrey_divergence','Jeffrey_divergence','Jeffrey_divergence');
plot_sim_pics_mtc(s,'moments - Jeffrey divergence',0,0,1,'Jeffrey_divergence','Jeffrey_divergence','Jeffrey_divergence');


%function val = plot_sim_pics_mtc(search_image,t,alpha,beta,gamma,dist1,dist2,dist3,p1,p2,p3)
