function [t,val] = plot_sim_pics_reg(search_image,query_type,dist,p)
%-----------------------------------------------------------------------
% function  val = plot_sim_pics_reg(search_image)
%
% Search for similar pictures in the database
% this function uses the histograms of the segmented pictures
% for calculating the similarity
%
% input:    search_image    the picture for which we want to find similar ones
%           query_type      type of image search
%                           'part_of', 'similarity' or 'contains'
%
%           dist            the dissimilarity measure for the histograms
%                           either 'L_p_norm', optionally with parameter p
%                           or 'Chi_Square' 
%                           or 'Jeffrey_divergence' 
%                           or 'Histogram_intersection'
%
%
% output:   val             the dissimilarity vector
%
%
%-----------------------------------------------------------------------
%  Date: 10.12.2004 
%  Author: Barbara Frank

%
%


if (nargin < 4)
     p=2;

end
if (nargin < 3)
     dist='Jeffrey_divergence';
end
if (nargin < 2)
     query_type='similarity';
end


tic
similar_vector = find_sim_regions(search_image,query_type,dist,p);
toc
t=toc;
%size(similar_vector)

%query_imgs = ev_query_images;
%if find(similar_vector(1,2)==query_imgs)
% rank_table = similar_vector(:,2);
% query_id = similar_vector(1,2);
% R = ev_img_query_from_ids(query_id,rank_table);
% R1 = ev_mvalues(R);
% ev_plot_pr(R1);
%end


figure;
hold on;
%picture with the  highest similarity value in the similarity vector
k = similar_vector(1,2);
j = int2str(k);
image_name = strcat(j,'.jpg');
subplot(6,3,2);
imshow(image_name);
title('query image')
for i=1:15
 k = similar_vector(i,2);
  j = int2str(k);
  image_name = strcat(j,'.jpg');
  subplot(6,3,3+i);
  imshow(image_name);
%  title(strcat(image_name,strcat(': ',num2str(similar_vector(i,1)))));
end
hold off;








%create_figure(strcat(t,'_regions'));
%hold on;
%%picture with the  highest similarity value in the similarity vector
%k = similar_vector(1,2);
%j = int2str(k);
%image_name = strcat('reg',strcat(j,'.mat'));
%r=load(image_name);
%subplot(6,3,2);
%imshow(uint8(r.fcimg*30));
%title('query image')
%for i=1:15
%  k = similar_vector(i,2);
%  j = int2str(k);
%  image_name = strcat('reg',strcat(j,'.mat'));
%  r=load(image_name);
%  subplot(6,3,3+i);
%  imshow(uint8(r.fcimg*30));
%  title(image_name);
%end
%hold off;



val=similar_vector;
