function val = plotscript_g_diffm(search_image,t)
%-----------------------------------------------------------------------
% function  val = plotscript_h_diffm
%
% Search for similar pictures in the database
%
% input:    search_image    the picture for which we want to find similar ones
%
%
%
%
% output:   val             figure with some similar images compared to the
%                           search image
%
%-----------------------------------------------------------------------
%  Date: 10.12.2004 
%  Author: Barbara Frank

%
%

image = imread(strcat(int2str(search_image),'.jpg'));
similar_vector1 = find_sim_pics_ht(search_image,0,1,'L_p_norm','L_p_norm',1,1);
similar_vector2 = find_sim_pics_ht(search_image,0,1,'L_p_norm','L_p_norm',2,2);
similar_vector3 = find_sim_pics_ht(search_image,0,1,'L_p_norm','L_p_norm',50,51);
similar_vector4 = find_sim_pics_ht(search_image,0,1,'L_p_norm','Jeffrey_divergence');

%size(similar_vector);

figure;
%hold on;
%picture with the  highest similarity value in the similarity vector
%k = similar_vector(1,2);
%j = int2str(k);
%image_name = strcat(j,'.jpg');
subplot(4,9,1);
%imshow(image_name);
%title(t)
for i=1:9
  k = similar_vector1(i,2);
  j = int2str(k);
  image_name = strcat(j,'.jpg');
  subplot(4,9,i);
  imshow(image_name);
%  title(strcat(image_name,strcat(': ',num2str(similar_vector1(i,1)))));
end
for i=1:9
  k = similar_vector2(i,2);
  j = int2str(k);
  image_name = strcat(j,'.jpg');
  subplot(4,9,i+9);
  imshow(image_name);
%  title(strcat(image_name,strcat(': ',num2str(similar_vector2(i,1)))));
end
for i=1:9
  k = similar_vector3(i,2);
  j = int2str(k);
  image_name = strcat(j,'.jpg');
  subplot(4,9,i+18);
  imshow(image_name);
%  title(strcat(image_name,strcat(': ',num2str(similar_vector3(i,1)))));
end
for i=1:9
  k = similar_vector4(i,2);
  j = int2str(k);
  image_name = strcat(j,'.jpg');
  subplot(4,9,i+27);
  imshow(image_name);
%  title(strcat(image_name,strcat(': ',num2str(similar_vector3(i,1)))));
end




%hold off;



